{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
{*
                <Option {if $pluginConfig->pluginActive=='A'} selected {/if} value="A">{__('nur für Admin sichtbar')}</Option>
*}
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

{if $pluginConfig->kArtikel == 0}
    <div class="alert alert-warning">
        <p style="margin:0; padding:1rem;">
            {__('Sie haben noch keine Artikelnummer eingegeben oder die eingegebene Artikelnumer wurde nicht gefunden.')}
        </p>
    </div>
{/if}

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('&Uuml;bertr&auml;ger der Cross Selling Gruppen (ArtNr.)')}</span>
            </div>
            <input type="hidden" name="kArtikel" value="{$pluginConfig->kArtikel}">
            <input type="text" name="cArtNr" class="form-control" value="{$pluginConfig->cArtNr}" placeholder="{__('Artikelnummer')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die Artikelnummer des Artikels ein, der die Crossselling Gruppen beinhaltet, dies ist erforderlich, da sonst alle eingebundenen Gruppen mit diesem Artikel angezeigt werden w&uuml;rden.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Maximale Anzahl der Crossselling Artikel je Gruppe')}</span>
            </div>
            <input type="text" name="maxArtikel" class="form-control" value="{$pluginConfig->maxArtikel}" placeholder="{__('6')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie die maximale Menge an einzubindenden Artikel je Gruppe ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Den Artikel verstecken')}</span>
            </div>
            <select id="hideArtikel" name="hideArtikel" class="form-control">
                <Option {if $pluginConfig->hideArtikel=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->hideArtikel=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob der Artikel der alle Xselling Gruppen beinhaltet im Listing erscheinen soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Name des verwendeten Funktionsattributes f&uuml;r diesen Shop')}</span>
            </div>
            <input type="text" name="attributesName" class="form-control" value="{$pluginConfig->attributesName}" placeholder="{__('xSell')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den verwendeten Funktionsattribute Namen ein, es ist ist nur erforderlich diesen zu &auml;ndern, wenn Sie mit einem Multishop System arbeiten, da Sie dann in jedem Shop andere ID zuordnungen haben.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Cross Selling Gruppen')}</span>
            </div>
            <select id="insertType" name="insertType" class="form-control">
                <Option {if $pluginConfig->insertType=='prepend'} selected {/if} value="prepend">Am Anfang einf&uuml;gen</Option>
                <Option {if $pluginConfig->insertType=='append'} selected {/if} value="append">Am Ende einf&uuml;gen</Option>
                <Option {if $pluginConfig->insertType=='replace'} selected {/if} value="replace" >Ersetzen</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('W&auml;hlen  Sie was mit deno vorhandenen Cross Selling Gruppen geschehen soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>



<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

