<div class="panel panel-default css-plugin-panel">

{assign var=xSellFirst value=rand(1,count($xSellGroups)-1) } 
{assign var=xSellSecond value=rand(0,$xSellFirst-1) } 

	<div class="panel-heading">
		<h3 class="panel-title">Crossselling Gruppen ID zugeh&ouml;rigkeiten</h3>
	</div>
	<div class="panel-body Gruppe-list">
		<p>
			Hier sehen Sie, welche Gruppe, zu welcher ID zugehörig ist, die ID ist immer vor dem Gruppennamen in fett dargestellt.</p>
			<p>
				Sie haben nun die Möglichkeit, einzelnen Artikeln, das Funktionsattribut "xSell" mit einem Kurztext zuzuweisen,
				dieses wird dann verwendet um aus einem kommagetrenntem Inhalt die Cross Selling ID's herauszufiltern und in dem jeweiligem Artikel anzuzeigen.
			</p><p>
				<strong>Beispiel:</strong>  Sie möchten die Gruppen <strong>{$xSellGroups[$xSellFirst]->cName}</strong> und <strong>{$xSellGroups[$xSellSecond]->cName}</strong> anzeigen,<br>deren ID's Sie hier in der &Uuml;bersicht ermittelt haben. 
				<br><strong>Dazu tragen Sie in dem Kurztext des Attributes folgendes ein:</strong><br>
			</p>
<fieldset>
				{$pluginConfig->attributesName}<br>
				<input style="padding-left:5px;" value="{$xSellGroups[$xSellFirst]->kXSellGruppe},{$xSellGroups[$xSellSecond]->kXSellGruppe}">
</fieldset>
			<hr />
			<p>
			<i>Sie haben die M&ouml;glichkeit, anstelle der Funktionsattribute, die Eigenen Felder zu verwenden, diese k&ouml;nnen Sie über die Ameise pflegen.</i>
			</p>
<hr/>

	<p><b>Bitte w&auml;hlen Sie den gew&uuml;nschten Anfangsbuchstaben Der Cross Selling Gruppe die Sie suchen:</b></p>
	<div class="letter-scroller" id="letter-scroller">
			{foreach from=$xSellingFirstLetter item=group}{if $group->firstLetter}
				<a style="display:inline-block; padding:5px 7px; border:1px solid #c3c3c3; margin-right:3px;" href="#letter_{$group->firstLetter}">{$group->firstLetter}</a>
			{/if}{/foreach}
		<hr/>

		{assign var=lastletter value=''}
			{foreach from=$xSellGroups item=group name='letters'}
			{if $lastletter != $group->firstLetter}
			{assign var=lastletter value=$group->firstLetter}
				</div>

		<div id="letter_{$lastletter}" class="row letters" style="padding-bottom:5px; border-bottom:1px solid #c3c3c3; margin:10px 0px;">
			<h3 class="col col-12">{$group->firstLetter}</h3>
			{/if}

				<div class="col col-12 col-xs-12 col-sm-6 col-md-4"><div class="row"
					style="border:1px solid #d9d9d9; background-color:#f1f1f1; padding:5px; margin:5px 5px; border-radius:5px;"
				><div class="col col-2"><strong>{$group->kXSellGruppe}</strong></div><div class="col col-10">{$group->cName}</div></div></div>
			{/foreach}
		</div>
	</div>


</div>

<style>
.back-to-top {
 position: fixed;
 bottom:20px;
 right:20px;
 padding:1em;
}
</style>
<script>

jQuery(document).ready(function() {
	$(".letter-scroller a").on("click", function() {
		$(".letters").css({
			color:'#313131'
		});
		
		var target = $(this).attr('href');
		$('html, body').animate({
	    scrollTop: $(target).offset().top - 100
	}, 1000);
		$(target).css({
			color:'#cc0000'
		});	
		return false;
	});

var back_to_top_button = ['<span  class="back-to-top btn btn-default">Nach oben</span>'].join("");
$(".Gruppe-list").append(back_to_top_button);

// Der Button wird ausgeblendet
$(".back-to-top").hide();


	$('.back-to-top').click(function () { // Klick auf den Button
		$('body,html').animate({
			scrollTop: 0
		}, 800);
		return false;
	});
});

//Funktion für das Scroll-Verhalten
$(function () {
	$(window).scroll(function () {
		if ($(this).scrollTop() > 100) { // Wenn 100 Pixel gescrolled wurde
			$('.back-to-top').fadeIn();
		} else {
			$('.back-to-top').fadeOut();
		}
	});
});
</script>